cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/rental_assets" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"rental_asset": {
"name": "Projector 1",
"rental_asset_profile": "RENTAL_ASSET_PROFILE_ID"
}
}'from exsited import build_client
client = build_client()
response = client.rental_assets.create_rental_asset(
{
"rental_asset": {
"name": "Projector 1",
"rental_asset_profile": "RENTAL_ASSET_PROFILE_ID",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.rentalAssets.createRentalAsset({
rental_asset: {name: 'Projector 1', rental_asset_profile: 'RENTAL_ASSET_PROFILE_ID'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->rentalAssets->createRentalAsset([
'rental_asset' => ['name' => 'Projector 1', 'rental_asset_profile' => 'RENTAL_ASSET_PROFILE_ID'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.rental_assets.rental_assets_dto.RentalAssetsDto.RentalAsset;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<RentalAsset> response = client.rentalAssets().createRentalAsset(
Map.of(
"rental_asset", Map.of(
"name", "Projector 1",
"rental_asset_profile", "RENTAL_ASSET_PROFILE_ID")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.RentalAssets.CreateRentalAssetAsync(new Dictionary<string, object?>
{
["rental_asset"] = new Dictionary<string, object?>
{
["name"] = "Projector 1",
["rental_asset_profile"] = "RENTAL_ASSET_PROFILE_ID",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.rentalAssets.createRentalAsset({
'rental_asset': {
'name': 'Projector 1',
'rental_asset_profile': 'RENTAL_ASSET_PROFILE_ID',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.RentalAssets().CreateRentalAsset(context.Background(), map[string]any{
"rental_asset": map[string]any{
"name": "Projector 1",
"rental_asset_profile": "RENTAL_ASSET_PROFILE_ID",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"rental_asset": {
"activity_logs": "<array>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": "<array>",
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"image_name": null,
"item": null,
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"rental_asset_availability": "<array>",
"rental_asset_custom_availability": [
{
"available": true,
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"preferred_day": "<string>",
"start_time": "<string>",
"status": "<string>"
}
],
"rental_asset_profile": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"status": "<string>",
"use_custom_availability": true,
"version": 123
}
}Rental assets
Create a rental asset
Creates a rental asset and returns it under rental_asset.
POST
/
rental_assets
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/rental_assets" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"rental_asset": {
"name": "Projector 1",
"rental_asset_profile": "RENTAL_ASSET_PROFILE_ID"
}
}'from exsited import build_client
client = build_client()
response = client.rental_assets.create_rental_asset(
{
"rental_asset": {
"name": "Projector 1",
"rental_asset_profile": "RENTAL_ASSET_PROFILE_ID",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.rentalAssets.createRentalAsset({
rental_asset: {name: 'Projector 1', rental_asset_profile: 'RENTAL_ASSET_PROFILE_ID'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->rentalAssets->createRentalAsset([
'rental_asset' => ['name' => 'Projector 1', 'rental_asset_profile' => 'RENTAL_ASSET_PROFILE_ID'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.rental_assets.rental_assets_dto.RentalAssetsDto.RentalAsset;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<RentalAsset> response = client.rentalAssets().createRentalAsset(
Map.of(
"rental_asset", Map.of(
"name", "Projector 1",
"rental_asset_profile", "RENTAL_ASSET_PROFILE_ID")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.RentalAssets.CreateRentalAssetAsync(new Dictionary<string, object?>
{
["rental_asset"] = new Dictionary<string, object?>
{
["name"] = "Projector 1",
["rental_asset_profile"] = "RENTAL_ASSET_PROFILE_ID",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.rentalAssets.createRentalAsset({
'rental_asset': {
'name': 'Projector 1',
'rental_asset_profile': 'RENTAL_ASSET_PROFILE_ID',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.RentalAssets().CreateRentalAsset(context.Background(), map[string]any{
"rental_asset": map[string]any{
"name": "Projector 1",
"rental_asset_profile": "RENTAL_ASSET_PROFILE_ID",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"rental_asset": {
"activity_logs": "<array>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": "<array>",
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"image_name": null,
"item": null,
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"rental_asset_availability": "<array>",
"rental_asset_custom_availability": [
{
"available": true,
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"preferred_day": "<string>",
"start_time": "<string>",
"status": "<string>"
}
],
"rental_asset_profile": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"status": "<string>",
"use_custom_availability": true,
"version": 123
}
}Send the asset under
rental_asset with its name and the id of its rental_asset_profile.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new rental asset, under rental_asset.
Show child attributes
Show child attributes